Mark impairment device retrying
curl --request POST \
--url https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": ""
}
'import requests
url = "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/"
payload = {
"claim_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({claim_token: '3c90c3cc-0d44-4b50-8888-8dd25736052a', last_error: ''})
};
fetch('https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'claim_token' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'last_error' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/"
payload := strings.NewReader("{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "radar",
"external_event_id": "<string>",
"scope": "node",
"status": "accepted",
"reason": "<string>",
"details": {},
"clear_details": {},
"instance_id": "<string>",
"requested_device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topology_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"devices": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"status": "pending",
"previous_operational_status": "unknown",
"occupied": true,
"active_instance_id": "<string>",
"last_error": "<string>",
"retry_count": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"cordoned_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"clear_reason": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Operations
Mark impairment device retrying
Internal API for Radar to submit and inspect node/pod impairment events.
POST
/
api
/
v1
/
operations
/
impairment-events
/
{id}
/
devices
/
{device_id}
/
retrying
/
Mark impairment device retrying
curl --request POST \
--url https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": ""
}
'import requests
url = "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/"
payload = {
"claim_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({claim_token: '3c90c3cc-0d44-4b50-8888-8dd25736052a', last_error: ''})
};
fetch('https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'claim_token' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'last_error' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/"
payload := strings.NewReader("{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/operations/impairment-events/{id}/devices/{device_id}/retrying/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"claim_token\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"last_error\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "radar",
"external_event_id": "<string>",
"scope": "node",
"status": "accepted",
"reason": "<string>",
"details": {},
"clear_details": {},
"instance_id": "<string>",
"requested_device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topology_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"devices": [
{
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_name": "<string>",
"status": "pending",
"previous_operational_status": "unknown",
"occupied": true,
"active_instance_id": "<string>",
"last_error": "<string>",
"retry_count": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"cordoned_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cleared_at": "2023-11-07T05:31:56Z",
"clear_reason": "<string>"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this impairment event.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response shape for impairment events.
radar- Radar
Available options:
radar node- Nodepod- Pod
Available options:
node, pod accepted- Acceptedcordoned- Cordonedrelease_pending- Release Pendingrelease_retrying- Release Retryingrelease_failed- Release Failedpartially_failed- Partially Failedfailed- Failedcleared- Cleared
Available options:
accepted, cordoned, release_pending, release_retrying, release_failed, partially_failed, failed, cleared Opaque Radar-provided impairment metadata keyed by detail name.
Show child attributes
Show child attributes
Opaque Radar-provided impairment metadata keyed by detail name.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255